How can I help you? Start Chat

US Phone: 1-866-488-6691
International Phone: +44-2036087492

  • E-Mail
  • Facebook
  • LinkedIn
  • Twitter

Check Point Advisories

Adobe Flash Player Memory Corruption (APSB17-28: CVE-2017-11282)

Check Point Reference: CPAI-2017-0748
Date Published: 12 Sep 2017
Severity: High
Last Updated: 12 Sep 2017
Source: Adobe Security Bulletin APSB17-28
Industry Reference:CVE-2017-11282
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Adobe Flash Player Desktop Runtime for Windows 26.0.0.151
Adobe Flash Player Desktop Runtime for Macintosh 26.0.0.151
Adobe Flash Player Desktop Runtime for Linux 26.0.0.151
Adobe Flash Player Google Chrome Plugin for Windows 26.0.0.151
Adobe Flash Player Google Chrome Plugin for Macintosh 26.0.0.151
Adobe Flash Player Google Chrome Plugin for Linux 26.0.0.151
Adobe Flash Player Google Chrome Plugin for ChromeOS 26.0.0.151
Adobe Flash Player Microsoft Edge and Internet Explorer 11 Plugin for Windows 10 and Windows 8.1 26.0.0.151
Vulnerability Description A memory corruption vulnerability exists in Adobe Flash player. The vulnerability is due to an error in the text handling functionality. A remote attacker can exploit this vulnerability by enticing the user to open a crafted SWF file.
Update/Patch AvaliableApply patches from: APSB17-28

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Adobe Flash Player Memory Corruption (APSB17-28: CVE-2017-11282) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Adobe Flash Protection Violation.
Attack Information:  Adobe Flash Player Memory Corruption (APSB17-28: CVE-2017-11282)